News feed
curl --request GET \
--url https://www.sharpe.ai/api/v1/news/feed \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/news/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/news/feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"articles": [
{
"id": 123,
"source": "<string>",
"title": "<string>",
"link": "<string>",
"summary": "<string>",
"author": "<string>",
"tags": [
"<string>"
],
"coin_tags": [
"<string>"
],
"published": "2023-11-07T05:31:56Z",
"fetched_at": "2023-11-07T05:31:56Z",
"source_tier": 123,
"category": "crypto",
"coin_symbols": [
"<string>"
]
}
],
"total": 123,
"next_offset": 1,
"truncated": true
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Market Data
News feed
Returns aggregated crypto news articles from multiple sources, with optional filtering by category or coin.
GET
/
v1
/
news
/
feed
News feed
curl --request GET \
--url https://www.sharpe.ai/api/v1/news/feed \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/news/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/news/feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"articles": [
{
"id": 123,
"source": "<string>",
"title": "<string>",
"link": "<string>",
"summary": "<string>",
"author": "<string>",
"tags": [
"<string>"
],
"coin_tags": [
"<string>"
],
"published": "2023-11-07T05:31:56Z",
"fetched_at": "2023-11-07T05:31:56Z",
"source_tier": 123,
"category": "crypto",
"coin_symbols": [
"<string>"
]
}
],
"total": 123,
"next_offset": 1,
"truncated": true
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Authorizations
BearerAuthApiKeyAuth

